package com.jiayue.insu.incloud.job.data.pull;

import com.jiayue.insu.incloud.entity.Station;
import com.jiayue.insu.incloud.pulldata.PullCorrectDataForQNHL;
import com.jiayue.insu.incloud.pulldata.PullInitData;
import com.jiayue.insu.incloud.service.StationService;
import org.quartz.Job;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.springframework.beans.factory.annotation.Autowired;

public class QNHLPullCorrectDataJob implements Job {


    @Autowired
    PullCorrectDataForQNHL pullCorrectDataForQNHL;
    @Autowired
     private StationService stationService;
    @Override
    public void execute(JobExecutionContext jobExecutionContext) throws JobExecutionException {
        String code = jobExecutionContext.getTrigger().getJobKey().getName();
        String[] split = code.split("-");
        if(split!=null && split.length>0){
            String stationCode = split[0];
            Station one = stationService.findByStationCode(stationCode);
            if (one != null) {
                pullCorrectDataForQNHL.pullDQAndNWPData(one);
            }
        }


    }
}
